﻿//=======================================
//  Javascript to get defaults for a setup
//  Display the lens correction screen for the first image
//  Extract user settings from first image
//  Apply to all open documents
//
//  Notes
//  Only handles Vignetting at the moment
//=======================================

#include Functions\lens_correction.jsxinc
       
//=======================================
var firstTime = "Y";
var ourVignetting = 15;
var ourMidPoint = 50;
var tiffOptions = new TiffSaveOptions();
tiffOptions.Layers = true;

//=======================================
for (var i = 0; i < documents.length; i++) {
    app.activeDocument = documents[i];
    var retArray = [0.000000, 0];
    retArray = ourLensCorrect(ourVignetting, ourMidPoint, firstTime);
    //alert (retArray);
    ourVignetting = retArray[0];
    ourMidPoint = retArray[1];
    var myDocName = activeDocument.name;
    var outputName = myDocName.substring(0,myDocName.length - 4);
    // app.activeDocument.saveAs(new File (activeDocument.path + "/LC" + outputName + ".tif"), tiffOptions );
    firstTime = "N";  
    }



