﻿//=======================================
//  Javascript to create master BIAS
//  BIAS images are open
//  Images are stacked (median) - average BIAS
//
//  Notes
//
//=======================================

#include Functions\call_javascript_menu.jsxinc

//=======================================

var tiffOptions = new TiffSaveOptions();
tiffOptions.Layers = true;

alert ("You will be prompted to select the BIAS Frames");

call_javascript_menu ("OpenDSLRRawBin");

call_javascript_menu ("Load Files into Stack...");

//Layer stack median
// =======================================================
var idapplyImageStackPluginRenderer = stringIDToTypeID( "applyImageStackPluginRenderer" );
    var desc3 = new ActionDescriptor();
    var idimageStackPlugin = stringIDToTypeID( "imageStackPlugin" );
    var idmedn = charIDToTypeID( "medn" );
    desc3.putClass( idimageStackPlugin, idmedn );
    var idNm = charIDToTypeID( "Nm  " );
    desc3.putString( idNm, """Median""" );
executeAction( idapplyImageStackPluginRenderer, desc3, DialogModes.NO );

//Flattern
// =======================================================
var idFltI = charIDToTypeID( "FltI" );
executeAction( idFltI, undefined, DialogModes.NO );

//we now have the master bias
app.activeDocument.saveAs(new File (documents[0].path + "/MasterBIAS.tif"), tiffOptions );
var nDocs = documents.length;
// close all 
    for (var i = 0; i < nDocs; i++) {
        documents[0].close(SaveOptions.DONOTSAVECHANGES); }
alert ("Process Complete");

