﻿//=======================================
//  Javascript to reset black point for all open images
//  Histograms for each channel are received
//   When value is greater than 0, this is set as the black point
//
//  Notes
//  
//=======================================

#include Functions\set_blackpoint.jsxinc

//=======================================

var conDlg=  
"dialog{text:'',bounds:[100,100,500,220],"+  
//"statictext0:StaticText{bounds:[10,10,140,27] , text:'Select type of operation' ,properties:{scrolling:undefined,multiline:undefined}},"+  
"statictext0:StaticText{bounds:[10,10,360,27] , text:'Per channel (aligns colours)'},"+
"statictext1:StaticText{bounds:[10,40,360,57] , text:'RGB (retains colour balance)'},"+
"checkbox0:Checkbox{bounds:[300,10,400,30] , text:'' },"+
"checkbox1:Checkbox{bounds:[300,40,400,60] , text:'' },"+
"button1:Button{bounds:[10,80,190,101] , text:'OK' }},"
var conWin = new Window(conDlg,'Set black point');  
conWin.center();  
conWin.checkbox0.value = true;
conWin.checkbox1.value = false;
conWin.checkbox0.onClick = function() {
  if (conWin.checkbox1.value) {
    conWin.checkbox1.value = false; }
  else {
  conWin.checkbox1.value = true;}  
}
conWin.checkbox1.onClick = function() {
  if (conWin.checkbox0.value) {
    conWin.checkbox0.value = false; }
  else {
  conWin.checkbox0.value = true;}  
}
conWin.button1.onClick = function() {
    conWin.close(1);
}  
conWin.show(); 


   

for (var i = 0; i < documents.length; i++) { //all documents
    var rStart = 0;
    var bStart = 0;
    var gStart = 0;

    activeDocument = documents[i];

if (conWin.checkbox0.value) { // per channel
      // alert (activeDocument.name);
    var channelRef = documents[i].channels.getByName("Red");
    var cStates = channelRef.histogram;
    for (j=0; j<256; j++) {
    if (cStates[j] > 0) {
     if (rStart == 0) {
      rStart = j; } } }
    //alert ("Red start " + rStart);
    setBlackPoint ("Red", rStart);

    var channelRef = documents[i].channels.getByName("Green");
    var cStates = channelRef.histogram;
    for (j=0; j<256; j++) {
    if (cStates[j] > 0) {
     if (gStart == 0) {
      gStart = j; } } }
    //alert ("Green start " + gStart);
    setBlackPoint ("Green", gStart); 
  

    var channelRef = documents[i].channels.getByName("Blue");
    var cStates = channelRef.histogram;
    for (j=0; j<256; j++) {
    if (cStates[j] > 0) {
     if (bStart == 0) {
      bStart = j; } } }
    //alert ("Blue start " + bStart);
    setBlackPoint ("Blue", bStart);
}
else { //RGB
   //alert (activeDocument.name);
    //var channelRef = documents[i].channels.getByName("RGB");
    var cStates = activeDocument.histogram;
    for (j=0; j<256; j++) {
    if (cStates[j] > 0) {
     if (bStart == 0) {
      bStart = j; } } }
    //alert ("RGB start " + bStart);
    setBlackPoint ("RGB", bStart);
}
}



